Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 11 Jan 2022 05:54:27 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order No:9521491600
I order on 30 December 2021 but still not received the order I call every morning to helpline and customer service I got one answer today we deliver your order, this is 2nd time I email you

This is my life worst experience with splash and splash helpline

So I request again to you if no possible to deliver the items plz cancel my order and refund my money to my Card

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3749315